from automode.architecture.finite_state_machine import State, Transition, FSM
from automode.modules.chocolate import Behavior, Condition
import os
import subprocess
import stat

mission = "best_shelter"
pfsm = "--fsm-config --nstates 2 --s0 2 --n0 1 --n0x0 0 --c0x0 3 --w0x0 10.17 --p0x0 4 --s1 3 --n1 1 --n1x0 0 --c1x0 0 --p1x0 0.53"
PFSM = FSM.parse_from_commandline_args(pfsm.split(" "))
PFSM.draw(f"{mission}") 
exit(0) 
with open(f"./missionRuns/argos_demo_{mission}_{eps}.sh",'w+') as f:
    f.write("#!/usr/bin/env bash\n")
    f.write(f"../AutoMoDe/bin/automode_main -n -c ./visuFiles/{mission}.argos {pfsm}")
st = os.stat(f"./missionRuns/argos_demo_{mission}_{eps}.sh")
os.chmod(f"./missionRuns/argos_demo_{mission}_{eps}.sh", st.st_mode | stat.S_IEXEC)
subprocess.run(["bash", f"./missionRuns/argos_demo_{mission}_{eps}.sh"], stdout=subprocess.DEVNULL, stderr=subprocess.DEVNULL)