import time
import os
import paramiko
import sys

class AUTO:

    def __init__(self, mission, date, iter):
        self.mission = mission
        self.date = date
        self.iter = iter
        self.remoteFolder = f"/home/igharbi/autodemo/irace/{self.mission}-auto_{self.date}_{iter}"
        os.makedirs(f"./AUTOMODE/{self.mission}/{self.mission}_{self.date}", exist_ok=True)
 
    def sshGet(self):
        failed = True
        while(failed):
            try:
                host = "majorana.ulb.ac.be"
                password = "Benzai7!"  
                username = "igharbi"
                ssh = paramiko.SSHClient()
                ssh.set_missing_host_key_policy(paramiko.AutoAddPolicy())
                ssh.connect(hostname = host,username = username, password = password)
                sftp = ssh.open_sftp()
                remotePath = f"{self.remoteFolder}/mission-folder/fsm.txt"
                localPath = f"./AUTOMODE/{self.mission}/{self.mission}_{self.date}/{self.mission}_{self.date}_{self.iter}"
                sftp.get(remotePath, localPath)
                sftp.close()
                ssh.close()
                failed = False
            except:
                print(f"ssh get failed")
                time.sleep(30)

if __name__ == '__main__':
    mission = sys.argv[1]
    date = sys.argv[2] 
    iter = sys.argv[3] 
    for i in range(int(iter)):
        autodemo = AUTO(mission, date, i+1)
        autodemo.sshGet()

    
    